---
author: SchrodingersGat
title: 0.11.0 Stable Release
---

The InvenTree development team is proud to announce the 0.11.0 stable release!

## New Features

We are thrilled to announce the latest stable release of Inventree, version 0.11.0, packed with exciting new features and improvements! This release has been made possible thanks to the hard work and dedication of our incredible community of contributors. With a wide range of new features, InvenTree 0.11.0 is a significant step forward in empowering businesses to streamline their inventory processes and optimize their workflows. We can't wait for you to try it out!

### Return Orders

The addition of [Return Orders](https://docs.inventree.org/en/latest/order/return_order/) is a significant new feature, which allows users to easily process and manage returned items, whether they are due to customer refunds or defective products. With the ability to track the status of return orders and the associated inventory movements, businesses can better manage their inventory levels, reduce waste, and improve their customer service.

### Stocktake Reports

Another great new feature in the latest release of InvenTree is the ability to generate [detailed stocktake reports](https://docs.inventree.org/en/latest/part/stocktake/). This feature enables businesses to conduct accurate and efficient inventory audits by providing periodic information on stock levels, locations, and movements. With this feature, businesses can view historical inventory levels, providing data for improved decision-making. The stocktake report feature also allows for customizations such as filtering by location, category, or supplier, providing a tailored view of inventory levels to meet specific business needs. Overall, the ability to generate stocktake reports is a significant enhancement to InvenTree, enabling businesses to take control of their inventory management and streamline their operations.

### Improved Barcode Support

The latest release provides improved barcode support, with the ability to generate barcodes for all order types, in addition to assigning custom barcodes.

### Report Templates

InvenTree's latest release includes improved report template functionality with better currency rendering support, enabling businesses to create professional and accurate reports. This feature allows for more detailed and customizable reports, including the ability to display currency symbols and automatically convert currency values to the appropriate format based on the user's settings, saving time and effort.

Refer to the [reporting documenation](https://docs.inventree.org/en/latest/report/report/) for further details.

### Search Results

Another feature of this release is the refactor and extension of the API search endpoint, adding new functionality such as regex and whole word search capabilities. With these improvements, users can conduct more powerful searches, returning more precise results and reducing the time and effort required to find the information they need. 

## Bug Fixes

Multiple bug fixes (ranging from minor to significant) have been implemented. Many of these bugs have been reported (and even fixed) by our users. Your feedback really helps improve the software and make it more useful for everyone!

## Translation Updates

Our users have been working *very* hard to improve the translation support for the InvenTree software. The translation efforts are progressing really, well - check out the [InvenTree project on crowdin](https://crowdin.com/project/inventree). If you would like to see further work on the translation, or looking to see InvenTree translated into a new language, please consider contributing your time as a translator!

## Release Notes

As always, the full set of release notes and changelogs is [available on our GitHub Page](https://github.com/inventree/InvenTree/releases/tag/0.11.0).

## Python Bindings

The InvenTree python bindings have also been updated - check out [the release notes](https://github.com/inventree/inventree-python/releases/tag/0.11.0).

## Support InvenTree

The InvenTree development team is committed to providing users with the best possible open source inventory management software. However, we rely on the support of our community to continue developing new features and improving our platform. If you find InvenTree valuable and want to support our ongoing development efforts, please consider making a financial contribution to help us continue developing the InvenTree software.